
CoCoALib - Feature #889

configure script: give summary of warnings at end

13 Jun 2016 14:09 - John Abbott

Status: Closed Start date: 13 Jun 2016

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Various Estimated time: 1.01 hour

Target version: CoCoALib-0.99550 spring 2017 Spent time: 0.60 hour

Description

The CoCoALib configure script can produce warnings during its execution, however these easily become invisible/ignorable in all the

other printed messages.

Suggestion: print a brief summary of all warnings at the end of (successful) configuration.

Related issues:

Related to CoCoALib - Bug #867: Compilation Error: C++11 and old GMP-Version Closed 13 Apr 2016

History

#1 - 13 Jun 2016 14:09 - John Abbott

- Related to Bug #867: Compilation Error: C++11 and old GMP-Version added

#2 - 13 Jun 2016 20:40 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 50

I have modified the configure script so that the last line of output recalls all warnings.  It seemed to work for Mario.

#3 - 16 Sep 2016 16:25 - John Abbott

- Status changed from In Progress to Closed

- Assignee set to John Abbott

- % Done changed from 50 to 100

No complaints in 3 months ==> closing.

#4 - 28 Apr 2017 09:35 - Anna Maria Bigatti

- Estimated time set to 1.01 h
